
/*
html{ font-size: 62.5%;}
body{ font-size: 1.6rem !important c
*/


  /*
  .bricks-is-frontend main,
  .bricks-is-frontend section,
  .bricks-is-frontend div
  {
	border:1px solid red;
	}
*/

html,body {
	/*hide overflow for horizontal animations*/
	overflow-x: hidden;

  
}

footer section {
	/*hide double scroll bar*/
	overflow: hidden;
	
	
	}


:root {
	--bodyfont: "Helvetica Neue", "Helvetica", Arial;
	--headfont: "Prompt", "Arial Black";
	--headfont_weight: 900;

	--body-text: clamp(2.4rem, 3.5vW, 5rem);
	--s-text: clamp(0.8rem, 0.8vW, 2.5rem);
	--m-text: clamp(2rem, 2vW, 4.5rem);
	--l-text:clamp(2.4rem, 4vW, 6.5rem);
	--xl-text: clamp(2.8rem, 5vw, 7rem);
	--xxl-text: clamp(3rem, 7vw, 8rem);
	
	
	--h2: clamp(5rem, 9vw, 12rem);
	--h3: clamp(4rem, 5vw, 8rem);
	--h4: clamp(3rem, 4vw, 7rem);
	--h5: clamp(3rem, 3vw, 4rem);
  }




/*fade in, expcept fronmtpage*/
body:not(.home) {
	/*opacity: 0;
	transition: opacity 2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
	*/
}
body.is-ready {
	opacity: 1;
}
/*

main {
	border: 5px solid yellow;
}

div {
	border: 5px solid red;
}
	*/

/* --------------------------------- Bricks Reset --------------------------------- */

	.bricks-button, .bricks-button:hover {
		background-color: transparent;
		padding:0;
	}

	header section, footer section {
		margin: 0;
	}

  /* fixed header 
	#brx-header {
		z-index: 999;
		position: fixed;
		top:0;
	}
	*/

	body.bricks-is-frontend :focus {
		outline: none;
	}

	svg:not([height]),svg:not([width]) {
		min-width:auto;
		min-height:auto;
	}



  /* --------------------------------- Locoscroll --------------------------------- */

	/* change color of locomotive scrollbar
	.c-scrollbar_thumb {
		background-color: var(--bricks-color-lightblue) !important;
		opacity: 1!important;
		z-index:3;
	}
		*/

	/* Add to  to fix locomotive scroll up dissappearance in Chrome 
	.has-scroll-smooth {
		position: fixed;
		inset: 0;
	}
*/



/* --------------------------------- Link Reset --------------------------------- */

/* reset anchor links*/
a, a:visited, a:hover, a:active {
	color: inherit;
	outline: 0; /* remove dotetd line */
  }

  a:hover, div a:hover {
	color: var(--bricks-color-light);
	
  }

  a {
	transition: background-color 1s ease, color 1s ease;
  }

  

  .brxe-text a, .brxe-text-basic a {
	text-decoration-line: underline;
	/*text-decoration-thickness: calc(0.5rem);*/
	text-underline-offset:15%;
	text-decoration-skip-ink: none;
  }

	button, .bricks-button, input[type=button], input[type=submit], input[type=reset] {
		transition: background-color 1s ease, color 1s ease;
  }

  /* --------------------------------- Sections --------------------------------- */

  section:not(header section):not(footer section) .brxe-container, section::not(#brxe-lottielanding) {
	margin: 4vW 0;
  }


/* --------------------------------- Main Navigation --------------------------------- */

/* change header icons color in home */

svg.brxe-icon {
	transition: opacity 0.5s ease, fill 1s ease;
  }

header svg.brxe-icon {
	fill: var(--bricks-color-lightblue);
	opacity:0.8;
  }

  /* added in Js to change color of icons over lottie animation on home*/
  header svg.brxe-icon.headericonscolor_home {
	fill: var(--bricks-color-light);
	/*opacity:1;*/
  }

  header svg.brxe-icon:hover {
	fill: var(--bricks-color-white);
	/*opacity: 0.5;*/
  }

  header svg.brxe-icon.headericonscolor_home:hover {
	/*fill: var(--bricks-color-midblue);*/
	opacity: 0.5;
  }

nav a {
	text-decoration-line: underline;
	text-decoration-thickness: 1vW;
	/*text-underline-offset:15%;*/
	padding:1vW 0;
}

#brxe-navicon {
	z-index:999999;
}

/* --------------------------------- Local Navigation --------------------------------- */
  

.localnav div:nth-of-type(1n) a, .localnav-container > div:nth-of-type(1n) h3, .sidemenu .dot-wrapper:nth-of-type(1n) .dot { color: var(--bricks-color-red); }
.localnav div:nth-of-type(2n) a, .localnav-container > div:nth-of-type(2n) h3, .sidemenu .dot-wrapper:nth-of-type(2n) .dot { color: var(--bricks-color-orange); }
.localnav div:nth-of-type(3n) a, .localnav-container > div:nth-of-type(3n) h3, .sidemenu .dot-wrapper:nth-of-type(3n) .dot { color: var(--bricks-color-pink); }
.localnav div:nth-of-type(4n) a, .localnav-container > div:nth-of-type(4n) h3, .sidemenu .dot-wrapper:nth-of-type(4n) .dot { color: var(--bricks-color-beige); }
.localnav div:nth-of-type(5n) a, .localnav-container > div:nth-of-type(5n) h3, .sidemenu .dot-wrapper:nth-of-type(5n) .dot { color: var(--bricks-color-darkgreen); }
.localnav div:nth-of-type(6n) a, .localnav-container > div:nth-of-type(6n) h3, .sidemenu .dot-wrapper:nth-of-type(6n) .dot { color: var(--bricks-color-lightgreen); }
.localnav div:nth-of-type(7n) a, .localnav-container > div:nth-of-type(7n) h3, .sidemenu .dot-wrapper:nth-of-type(7n) .dot { color: var(--bricks-color-midblue); }

.localnav-container > div:nth-of-type(1n) .circle, .sidemenu .dot-wrapper:nth-of-type(1n) .dot.active { background-color: var(--bricks-color-red); }
.localnav-container > div:nth-of-type(2n) .circle, .sidemenu .dot-wrapper:nth-of-type(2n) .dot.active { background-color: var(--bricks-color-orange); }
.localnav-container > div:nth-of-type(3n) .circle, .sidemenu .dot-wrapper:nth-of-type(3n) .dot.active { background-color: var(--bricks-color-pink); }
.localnav-container > div:nth-of-type(4n) .circle, .sidemenu .dot-wrapper:nth-of-type(4n) .dot.active { background-color: var(--bricks-color-beige); }
.localnav-container > div:nth-of-type(5n) .circle, .sidemenu .dot-wrapper:nth-of-type(5n) .dot.active { background-color: var(--bricks-color-darkgreen); }
.localnav-container > div:nth-of-type(6n) .circle, .sidemenu .dot-wrapper:nth-of-type(6n) .dot.active { background-color: var(--bricks-color-lightgreen); }
.localnav-container > div:nth-of-type(7n) .circle, .sidemenu .dot-wrapper:nth-of-type(7n) .dot.active { background-color: var(--bricks-color-midblue); }


.localnav-container > div:nth-of-type(even) .noscale {order: 2;}
/*

main .localnav-item:nth-of-type(1n) {background-color:red}
main .localnav-item:nth-of-type(2n) {background-color:yellow}
main .localnav-item:nth-of-type(3n) {background-color:green}
*/



/*
#brxe-localnav-container div:nth-of-type(1n) .circle::before { content: "1"; }
#brxe-localnav-container div:nth-of-type(1n) .circle::before { content: "2"; }
#brxe-localnav-container div:nth-of-type(1n) .circle::before { content: "3"; }
#brxe-localnav-container div:nth-of-type(1n) .circle::before { content: "4"; }
#brxe-localnav-container div:nth-of-type(1n) .circle::before { content: "5"; }
#brxe-localnav-container div:nth-of-type(1n) .circle::before { content: "6"; }
#brxe-localnav-container div:nth-of-type(1n) .circle::before { content: "7"; }
#brxe-localnav-container div:nth-of-type(1n) .circle::before { content: "8"; }
*/


.localnav { 
	margin-top:3vH;
	 }

.localnav a:hover{ 
color: #fff;	
 }


 
 .circle {
	white-space: nowrap;
	/*
	border-radius: 50%;
	width: 34px;
	height: 34px;
	padding: 10px;
	background: #fff;
	border: 3px solid #000;
	color: #000;
	text-align: center;
	*/
  }








  .L-bubble {
	width: 50%;
	padding-bottom: 50%;
	border-radius: 50%;
	background-color: #3498db;
	position: relative;
	overflow: hidden;
}

	.L-bubble::before {
		content: "";
		display: block;
		padding-bottom: 100%;
	}



  /* --------------------------------- Nested Accordion --------------------------------- */

  .brxe-accordion-nested h4 {
	/*border: 15px solid var(--bricks-color-bg-color);*/
	border-radius:50px;
	text-decoration-thickness: 1vW;
	text-decoration-line: underline;
	text-underline-offset: 5%;
	padding-top:40px;
	padding-bottom: 40px;
	margin-bottom:40px !important;
	width:100%;
	
}

.brxe-accordion-nested h4::before {
	content: "\2026 "; /* Unicode character for ellipsis */

}

.accordion-content-wrapper {
	margin-bottom:40px;
}

.brxe-accordion-nested div:nth-of-type(1n) h4 { border-color: var(--bricks-color-red); }
.brxe-accordion-nested div:nth-of-type(2n) h4 { border-color: var(--bricks-color-orange); }
.brxe-accordion-nested div:nth-of-type(3n) h4 { border-color: var(--bricks-color-pink); }
.brxe-accordion-nested div:nth-of-type(4n) h4 { border-color: var(--bricks-color-yellow); }


.brxe-accordion-nested div:nth-of-type(1n) h4 { color: var(--bricks-color-red) ; }
.brxe-accordion-nested div:nth-of-type(2n) h4 { color: var(--bricks-color-orange); }
.brxe-accordion-nested div:nth-of-type(3n) h4 { color: var(--bricks-color-pink); }
.brxe-accordion-nested div:nth-of-type(4n) h4 { color: var(--bricks-color-yellow); }

  /* --------------------------------- layout --------------------------------- */

  /*ad extra space to svg on top of page */
  body:not(home) [data-scroll-section-id="section0"] .brxe-container .brxe-block:nth-child(2) svg {
	margin-top:5vH;
  }

  /*
  body:not(home) [data-scroll-section-id="section0"] .brxe-text:not(.text-xl) {
	color: var(--bricks-color-lightblue);
  }
  */


  /* --------------------------------- Text --------------------------------- */

  /* define word break*/
span.linebreak {
	display: inline-block;
  }

.text-xxl {
	font-size: var(--xxl-text);
}
.text-xl {
	font-size: var(--xl-text);
}

.text-l {
	font-size: var(--l-text);
}

.text-m {
	font-size: var(--m-text);
}

.text-s {
	font-size: var(--s-text);
}

a.text-xxl {
	/*border-bottom: solid calc(0.5rem + 1vW);*/
	text-decoration-line: underline;
	text-decoration-thickness: calc(0.5rem + 1vW);
	text-underline-offset:10%;
	text-decoration-skip-ink: none;
	line-height: 1.5;
}

  /* --------------------------------- Headline --------------------------------- */

  h1,h2,h3,h4,h5,h6 {
	font-weight: 900;
  }

  h1,h2 {
	font-size: var(--h2);
	letter-spacing: 0.3vW;
	text-transform: uppercase;
	line-height: 1;
  }

  h3 {
	font-size: var(--h3);
	letter-spacing: 0.2vW;
	line-height: 1.1;
  }

  h4 {
	font-size: var(--h4);
	letter-spacing: 0.05vW;
  }

  h5 {
	font-size: var(--h5);
	letter-spacing: 0.05vW;
	/**/line-height: 1.2;
  }

  /* --------------------------------- Images --------------------------------- */
  img, svg{
	width:100%;
	height: auto;
  }



  /* --------------------------------- margins --------------------------------- */

  /* xl */
  .margin-xl {
	margin: 2vW;
  }

  .margin-xl-tb{
	margin: calc(min(30px, 6vW)) 0;
  }

  .margin-xl-t{
	margin-top:2vW
  }

  .margin-xl-b{
	margin-bottom:2vW
  }

   /* medium */
  .margin-m {
	margin: 1vW;
  }

  .margin-m-tb{
	margin: 1vW auto;
  }

  .margin-m-t{
	margin-top:1vW
  }

  .margin-m-b{
	margin-bottom:1vW
  }

/* --------------------------------- Horizontal Line --------------------------------- */

hr{
    border-top: 4px solid var(--bricks-color-midblue);
    margin: 1em 0;
}


/* --------------------------------- Buttons --------------------------------- */
.bricks-button.xl {
	font-size: calc(1rem + 5vW);
	background-color:transparent;
}

.bricks-button.xl:hover {
	font-size: calc(1rem + 5vW);
	background-color:transparent;
}

/* --------------------------------- Buttons --------------------------------- */







/* --------------------------------- Lottie Fix --------------------------------- */



.brxe-ba-lottie svg, [lottie-src] svg {
	width: 100vw !important;
 	height: 100vh !important;
	object-fit: contain; /*contain available width and height */
	/*border:1px solid red;*/
}




/* --------------------------------- Local Menu --------------------------------- */

/*
#brxe-localnav-container {
	width: 70vW;
	margin-right:20vW;
}
*/

/*
.localnav-container h3{
	word-spacing: 100vw;
}
*/

.localnav-container{
	width: 80vw !important; /*make space for sidemenu*/
	margin-right:15vW !important; 
}


.sidemenu {
	position: fixed;
	top: 50%;
	transform: translateY(-50%);
	right: calc(5vw + 7px);
	z-index: 2;
	display: none;
	text-align: right;
  }
  
  .sidemenu .dot {
	width: 18px;
	height: 18px;
	border-radius: 50%;
	border: 2px;
	border-style: solid;
	transition: background-color 0.2s ease;
	
	display: inline-flex;
	margin-left:20px;
	
  }

  .sidemenu .dot:hover {
	opacity: 0.5;
  }

  .sidemenu .dot-wrapper{
	margin: 20px 0;
	line-height: 0;


  } 

  .sidemenu .sidemenu_headline,  .sidemenu .dot{
	font-size: 2rem;
	
  } 


  .sidemenu .sidemenu_headline{
	background-color: blueviolet;
	display: inline-flex;
	margin-right: 40px;

	
	/**/	display: none;
 	 
  } 


  
/* --------------------------------- Forminator --------------------------------- */

/*prevent zoom on buton click*/
form {
	transform: none;
	zoom: 1;
  }

.forminator-ui input::placeholder,
.forminator-ui textarea::placeholder {
  color: #fff;
}

.forminator-ui {
	margin: 5vw;
 }

h2.forminator-title {
	font-size: var(--h4);
    letter-spacing: 0.05vW;
    margin-top: 40px;
    margin-bottom: 0;
    text-transform: inherit;
}

h3.forminator-subtitle {
    font-size: inherit;
    letter-spacing: inherit;
    font-family: inherit;
    font-weight: inherit;
    text-transform: inherit;
    font-size: inherit;
    margin-top: 20px;
    color: var(--bricks-color-midblue);
}

/* hide all labels by default */
.forminator-ui label:not(.forminator-radio):not(.forminator-checkbox) {
	display: none;
}

.forminator-label  {
	display: none;
  }

/* if cusxtom class field_visible is added to field -> show label  */
.forminator-ui .field_visible .forminator-label {
	display: block;
}

.forminator-ui .forminator-row {
	margin:0;
}


.forminator-ui .input, .forminator-ui input:not([type="submit"]):not([type="button"]), .forminator-ui select, .forminator-ui textarea {
	padding: 14px;
	border: none;
	color: var(--bricks-color-bg-color);
	background-color: var(--bricks-color-midblue);
	/*margin-bottom: 1vW;*/
	font-weight: 300;
  }

  .forminator-ui .input {
	margin-bottom: 1vW;
  }


  .forminator-field label {
	font-weight: 300;
  }

  .forminator-ui input[placeholder="Postal Code"] {
	text-transform: uppercase;
  }

  .iti.forminator-phone {
    display: block; /* phone number */
}


/* buttons */

.forminator-button {
	color: var(--bricks-color-bg-color);
    padding: 10px 30px;
	background-color: var(--bricks-color-midblue);
	font-family: var(--headfont);
	font-weight: var(--headfont_weight);
    
}

.forminator-button:hover {
    padding: 10px 30px;
	background-color: var(--bricks-color-light);
}

input.forminator-repeater-action-button {
	color: var(--bricks-color-midblue);
	background-color: var(--bricks-color-bg-color);
	border: 3px solid var(--bricks-color-midblue);
	padding: 1vW 5vW;
	margin: 20px 0;
}

input.forminator-repeater-remove::before {
    content: "-";
    width: 150px;
    display: inline-block;
}

.forminator-row-last .forminator-col .forminator-field {
	display: flex;
  justify-content: flex-end;
}

/* Radio Checkbox custoim style */

.forminator-radio{
	
}

.forminator-radio-label, .forminator-checkbox-label {
	color: var( --bricks-color-light);
}



.forminator-ui .forminator-field input[type="checkbox"],  .forminator-ui .forminator-field input[type="radio"] {
	appearance: none; /* Hide default checkboxes */
	width: clamp(20px, 2vW, 40px);
	height: clamp(20px, 2vW, 40px);
	background-color: var(--bricks-color-bg-color);
	border: 2px solid var(--bricks-color-light);
	outline: none;
	padding:0;
	margin: 0 20px 0 0;
}

.forminator-ui .forminator-field input[type="checkbox"] {

}

.forminator-ui .forminator-field input[type="radio"] {
	border-radius: 50%;
  }
  
  /* Checked state for checkboxes/radio */
  .forminator-field input[type="checkbox"]:checked, .forminator-field input[type="radio"]:checked {
	background-color: var(--bricks-color-midblue);
  }
  


/* Progressbar */

.forminator-pagination-steps {
  
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    margin: 30px 0;
}

.forminator-step {
	background-color: transparent;
	padding:0 20px;
}

.forminator-break {
    width: auto;
    height: 3px;
    flex: 1;
    margin: auto 0;
	
}

.forminator-break {
    background-color: var(--bricks-color-lightblue);
}

.forminator-step .forminator-step-dot {
    width: 3vW;
    height: 3vW;
    display: block;
    border-radius: 50%;

	background-color: var( --bricks-color-red);
}

.forminator-current{
	color: var( --bricks-color-midblue);
}

.forminator-current ~ .forminator-step .forminator-step-dot{
	background-color: var( --bricks-color-midblue);
}

/*layout*/

/*
.forminator-pagination-footer{
	display: flex;
	justify-content: space-between;
	align-items: center;
	border-top: 3px solid var( --bricks-color-midblue);
	padding-top: 5vH;
	margin-top: 2vH;
}
	*/

/* show radio buttons horizontally */
.forminator-field .forminator-radio-inline {
	display: inline-block;
	margin-right:40px;
}

.forminator-description {
	display: block;
}

/* Datepicker */

#ui-datepicker-div {
	display: none;
	margin-top:10px;
	
}

.ui-datepicker {
	padding:15px;
	background-color: var(--bricks-color-bg-color);
	border: 3px solid var(--bricks-color-light);
	z-index: 99999999 !important;
}

.ui-datepicker-title select{
	padding-top: 10px;
	padding-bottom: 10px;
	margin:12px auto;
	background-image: linear-gradient(45deg,transparent 50%,var( --bricks-color-midblue)),linear-gradient(135deg,var( --bricks-color-midblue) 50%,transparent 0);
}

.ui-datepicker a {
	padding:6px;
}

.ui-datepicker-calendar td {
	text-align: center;
}

.ui-state-disabled {
	opacity: 0.5;
}

/*Error Messages */

.forminator-error-message {
	display: block;
	color: var(--bricks-color-red);
	text-transform: capitalize;
}

.forminator-error ul{
	display: none;
}

.forminator-loading {
	color: var(--bricks-color-red);
	font-family: var(--headfont);
	font-weight: var(--headfont_weight);
}

.forminator-loading {
	animation: loading_blink 1s linear infinite;
  }
  
  @keyframes loading_blink {
	50% {
	  opacity: 0;
	}
  }





  